﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;

namespace FileToXML.Test
{
    [TestFixture]
    public class TestMakeTagXML
    {
        private Dictionary<string, bool> tagetFiles = new Dictionary<string, bool>();
        private string xmlPath = @"F:\Test\XML\test.xml";


        [Test]
        public void MP3のみTest()
        {
            tagetFiles.Add(@"F:\Test", false);
            MakeTagToXML makeXML = new MakeTagToXML(xmlPath, tagetFiles, null);
            int count = 0;
            count = makeXML.GetTagToXML();
            //
            Assert.AreEqual(3, count);
        }
        [Test]
        public void iTunesMP3Test()
        {
            string path = Environment.GetFolderPath(Environment.SpecialFolder.MyMusic)
                    + @"\iTunes\iTunes Music";
            xmlPath = @"F:\Test\XML\iTunes.xml";
            tagetFiles.Add(path, false);
            MakeTagToXML makeXML = new MakeTagToXML(xmlPath, tagetFiles, null);
            int count = 0;
            count = makeXML.GetTagToXML();
            //
            Assert.AreEqual(31, count);
        }
    }
}
