﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace GatherFile
{
    public class GatherSongFile
    {
        public GatherSongFile() { }

        public List<string> GatherInFolder(Dictionary<string, bool> folder)
        {
            List<string> retFile = new List<string>();
            if (folder.Count == 0)
                return retFile;

            foreach (string path in folder.Keys)
            {
                bool recu = folder[path];
                if (Directory.Exists(path) == false)
                    continue;
                if (path.EndsWith("iTunes Music"))
                    recu = true;
                string[] bufAry; //Folder中ファイル名
                bufAry = GetAfolder(path, recu);
                for (int i = 0; i < bufAry.Length; i++)
                {
                    string low = bufAry[i].ToLower();
                    if (low.EndsWith(".mp3") || low.EndsWith(".m4a")
                        || low.EndsWith(".wma"))
                        retFile.Add(bufAry[i]);
                }
            }
            return retFile;
        }

        private string[] GetAfolder(string path, bool recus)
        {
            string[] files;
            if (recus)
            {
                files = System.IO.Directory.GetFiles(
                    path, "*", SearchOption.AllDirectories);
            }
            else
            {
                files = System.IO.Directory.GetFiles(
                    path, "*", SearchOption.TopDirectoryOnly);
            }
            return files;
        }

    }
}
